### Method

# Adw Squeezerget_transition_type

deprecated: 1.4

#### Declaration [src]

    AdwSqueezerTransitionType
    adw_squeezer_get_transition_type (
      AdwSqueezer* self
    )

#### Description [src]

Gets the type of animation used for transitions between children in `self`.

Deprecated since: 1.4

See the migration guide

Gets property | `Adw.Squeezer:transition-type`

#### Return value

Type: `AdwSqueezerTransitionType`

The current transition type of `self`.